:root {
    --bg-color: #000022; /* even darker navy blue */
    --text-color: #f5f5dc; /* beige */
    --highlight: #f5f5dc;
}
.light-mode {
    --bg-color: #f5f5dc; /* beige */
    --text-color: #000022; /* even darker navy blue */
}
.light-mode a {
    color: var(--text-color);
}
body {
    font-family: Arial, sans-serif;
    background-color: var(--bg-color);
    color: var(--text-color);
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    font-size: clamp(22px, 3vw, 32px);
}

h1 {
    font-size: clamp(28px, 6vw, 42px);
    text-decoration: underline;
}
h2 {
    font-size: clamp(24px, 5vw, 36px);
    text-decoration: underline;
}
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    background-color: var(--bg-color);
    border-bottom: 2px solid var(--highlight);
}
nav {
    display: flex;
    gap: 1rem;
}
nav a {
    background-color: var(--highlight);
    color: var(--bg-color);
    border: 1px solid var(--highlight);
    padding: 0.5rem 1rem;
    border-radius: 4px;
    cursor: pointer;
    text-decoration: none;
    transition: all 0.2s ease;
}
nav a:hover {
    transform: translateY(1px);
    filter: brightness(0.9);
}
.toggle-btn {
    background-color: var(--bg-color);
    border: 1px solid var(--text-color);
    color: var(--text-color);
    padding: 0.5rem;
    cursor: pointer;
    transition: all 0.2s ease;
}
.toggle-btn:hover {
    background-color: var(--text-color);
    color: var(--bg-color);
}
main {
    flex: 1;
    padding: 2rem;
    width: 94%;
}

main > * {
    width: 100%;
}
a {
    color: var(--highlight);
    text-decoration: underline;
}
